summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xusr.sbin/pc-sysinstall/backend-query/detect-emulation.sh (renamed from usr.sbin/pc-sysinstall/backend-query/detect-vmware.sh)21
1 files changed, 13 insertions, 8 deletions
diff --git a/usr.sbin/pc-sysinstall/backend-query/detect-vmware.sh b/usr.sbin/pc-sysinstall/backend-query/detect-emulation.sh
index 14a0512..5eefd26 100755
--- a/usr.sbin/pc-sysinstall/backend-query/detect-vmware.sh
+++ b/usr.sbin/pc-sysinstall/backend-query/detect-emulation.sh
@@ -25,12 +25,17 @@
#
# $FreeBSD$
-pciconf -lv | grep -i vmware >/dev/null 2>/dev/null
-if [ "$?" = "0" ]
-then
- echo "vmware: YES"
+case "$(kenv smbios.system.product)" in
+VirtualBox)
+ echo "emulation: VIRTUALBOX"
exit 0
-else
- echo "vmware: NO"
- exit 1
-fi
+ ;;
+VMware*)
+ echo "emulation: VMWARE"
+ exit 0
+ ;;
+*)
+ echo "emulation: NO"
+ exit 1
+ ;;
+esac
OpenPOWER on IntegriCloud